package messages

var MsgFlags = map[int]string{
	SUCCESS:                         "ok",
	ERROR:                           "fail",
	INVALID_PARAMS:                  "Invalid parameters",
	ERROR_AUTH_CHECK_TOKEN_FAIL:     "Token fail",
	ERROR_AUTH_CHECK_TOKEN_TIMEOUT:  "Token timeout",
	ERROR_AUTH_TOKEN:                "Bad token",
	ERROR_AUTH:                      "Token error",
}

// GetMsg get error information based on Code
func GetMsg(code int) string {
	msg, ok := MsgFlags[code]
	if ok {
		return msg
	}

	return MsgFlags[ERROR]
}

